Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Interface SourcesTreeEvents

All Known Implementing Classes:
  Tree

Deprecated. use `HasBeforeSelectionHandlers`, `HasOpenHandlers` and `HasClickHandlers` instead

    @Deprecated
    public interface SourcesTreeEvents

A widget that implements this interface sources the events defined by the `TreeListener` interface.

Method Summary
`void` | `addTreeListener(TreeListener listener)` Deprecated. use `HasBeforeSelectionHandlers.addBeforeSelectionHandler(com.google.gwt.event.logical.shared.BeforeSelectionHandler)`, `HasOpenHandlers.addOpenHandler(com.google.gwt.event.logical.shared.OpenHandler)` and `HasClickHandlers.addClickHandler(com.google.gwt.event.dom.client.ClickHandler)` instead
`void` | `removeTreeListener(TreeListener listener)` Deprecated. Use the `HandlerRegistration.removeHandler()` method on the object returned by an add*Handler method instead

Method Detail

### addTreeListener

    @Deprecated
    void addTreeListener(TreeListener listener)

  Deprecated. use `HasBeforeSelectionHandlers.addBeforeSelectionHandler(com.google.gwt.event.logical.shared.BeforeSelectionHandler)`, `HasOpenHandlers.addOpenHandler(com.google.gwt.event.logical.shared.OpenHandler)` and `HasClickHandlers.addClickHandler(com.google.gwt.event.dom.client.ClickHandler)` instead

  Adds a listener interface to receive tree events.

  Parameters:
    `listener` - the listener interface to add

### removeTreeListener

    @Deprecated
    void removeTreeListener(TreeListener listener)

  Deprecated. Use the `HandlerRegistration.removeHandler()` method on the object returned by an add*Handler method instead

  Removes a previously added listener interface.

  Parameters:
    `listener` - the listener interface to remove

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD